Redland RDF Application Framework API Reference Manual
<<< Previous |  | Next >>>

# librdf_hash_exists

## Name

librdf_hash_exists -- Check if a given key/value is in the hash

## Synopsis

``int `librdf_hash_exists`` (librdf_hash* `hash`, librdf_hash_datum * `key`, librdf_hash_datum * `value`);`

## Arguments

`hash`

  hash object

`key`

  key

`value`

  value

## Return value

>0 if the key/value exists in the hash, 0 if not, <0 on failure

<<< Previous | Home | Next >>>
librdf_hash_put | Up | librdf_hash_delete